Skip to main content
GET
/
v2
/
taxonomy-workflow
/
{workflow_id}
Get taxonomy workflow status
curl --request GET \
  --url https://commerceos.aiagents.fabric.inc/api/v2/taxonomy-workflow/{workflow_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'domain: <domain>'
{
  "id": "a1462a91-f733-45fe-993b-5d0353f33ee3",
  "brand_id": "268465dd-71f5-4179-959c-9bac01029451",
  "status": "REVIEW_PENDING",
  "workflow_type": "ATTRIBUTE_AND_CATEGORY_MAPPING",
  "import_document_path": "taxonomy-workflow/vessel/d6441888-f25d-4acb-8898-07808526ecdb/d6441888-f25d-4acb-8898-07808526ecdb_input.csv",
  "created_at": "2026-03-12T17:54:07.374339Z",
  "updated_at": "2026-03-12T17:54:08.276233Z",
  "total_category_mappings": 0,
  "total_attribute_mappings": 0,
  "workflow_id": "a1462a91-f733-45fe-993b-5d0353f33ee3",
  "workflow_status": "REVIEW_PENDING",
  "tenant_id": "268465dd-71f5-4179-959c-9bac01029451",
  "workflow_phase": "PRE_PROCESS",
  "domain": "vessel",
  "total_items": 0,
  "processed_items": 0,
  "successful_items": 0,
  "failed_items": 0,
  "total_chunks": 0,
  "processed_chunks": 0,
  "input_file_id": "69b2fdbfd1dcca3911c666e6",
  "output_file_id": null,
  "error_file_id": null,
  "review_required": false,
  "review_task_id": null,
  "enrichment_workflow_id": null,
  "error_message": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

domain
string
required

The brand domain or brand identifier used to scope the request to a specific brand’s data and configuration.

Example:

"vessel"

Path Parameters

workflow_id
string<uuid>
required

Workflow ID returned from POST /v2/taxonomy-workflow.

Example:

"a1462a91-f733-45fe-993b-5d0353f33ee3"

Response

Workflow status

id
string<uuid>
required
status
string
required
Example:

"REVIEW_PENDING"

workflow_type
string
required
Example:

"ATTRIBUTE_AND_CATEGORY_MAPPING"

created_at
string<date-time>
required
updated_at
string<date-time>
required
brand_id
string<uuid>
import_document_path
string
Example:

"taxonomy-workflow/vessel/..._input.csv"

total_category_mappings
integer
Example:

0

total_attribute_mappings
integer
Example:

0

workflow_id
string<uuid>
workflow_status
string
Example:

"REVIEW_PENDING"

tenant_id
string<uuid>
workflow_phase
string
Example:

"PRE_PROCESS"

domain
string
Example:

"vessel"

total_items
integer
Example:

0

processed_items
integer
Example:

0

successful_items
integer
Example:

0

failed_items
integer
Example:

0

total_chunks
integer
Example:

0

processed_chunks
integer
Example:

0

input_file_id
string | null
Example:

"69b2fdbfd1dcca3911c666e6"

output_file_id
string | null
Example:

null

error_file_id
string | null
Example:

null

review_required
boolean
Example:

false

review_task_id
string | null
Example:

null

enrichment_workflow_id
string | null
Example:

null

error_message
string | null
Example:

null